Name:              bashmount
Version:           3.2.0
Release:           3%{?dist}

Summary:           A menu-driven bash script for mounting removable media
Group:             Applications/System
License:           GPLv2
URL:               http://sourceforge.net/projects/bashmount
Source0:           http://downloads.sourceforge.net/project/%{name}/%{name}-%{version}.tar.gz

BuildArch:         noarch

%if 0%{?rhel} >= 7 || 0%{?fedora}
# This dependency is actually optional, but RPM doesn't support optional
# or suggested dependencies yet.
Requires:          udisks2
%endif

%description
bashmount is a menu-driven bash script that uses udisks2 to easily mount,
unmount or eject removable devices without dependencies on any GUI or
desktop environment. An extensive configuration file allows custom commands
to be run on devices.

The use of udisks2 is optional. The mount command can be used, or any other
suitable back-end can be configured.


%prep
%setup -q


%build
#nothing to do


%install
install -p -D -m755 bashmount \
    %{buildroot}%{_bindir}/bashmount
install -p -D -m644 bashmount.conf \
    %{buildroot}%{_sysconfdir}/bashmount.conf
install -p -D -m644 bashmount.1 \
    %{buildroot}%{_mandir}/man1/bashmount.1


%files
%doc COPYING NEWS
%{_bindir}/bashmount
%{_mandir}/man1/bashmount.1*
%config(noreplace) %{_sysconfdir}/bashmount.conf


%changelog
* Wed Nov 05 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 3.2.0-3
- fix macro for udisks2 dependency

* Sat Apr 26 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 3.2.0-2
- do not depend on udisks2 on EL6

* Sat Apr 19 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 3.2.0-1
- update to upstream release 3.2.0

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Feb 09 2012 Jamie Nguyen <jamie@tomoyolinux.co.uk> - 1.6.2-3
- preserve timestamps
- remove some unnecessary macros

* Tue Feb 07 2012 Jamie Nguyen <jamie@tomoyolinux.co.uk> - 1.6.2-2
- remove redundant BuildRoot tag
- remove redundant cleaning of BuildRoot within the install section
- remove redundant clean section

* Mon Feb 06 2012 Jamie Nguyen <jamie@tomoyolinux.co.uk> - 1.6.2-1
- update to 1.6.2

* Sun Feb 05 2012 Jamie Nguyen <jamie@tomoyolinux.co.uk> - 1.6.1-1
- initial Fedora package
